/* VARIABLES */
:root {
    --mx-width: 1320px;
    --bg-primary: #FBFBFB;
    --color-gray-100: #E7E7F4;
    --color-gray-200: #737373;
    --color-gray-300: #222222;
    --primary-brand: #3E20E4;
    --secondary-brand: #FF00B8;
    --blue-light: #B4E0FC;
}

/* GENERAL STYLES*/

html {
    box-sizing: border-box;
    font-size: 62.5%;
    overflow-x: hidden;
}

*,
*::before,
*::after {
    box-sizing: inherit;
}

img {
    max-width: 100%;
}

button:hover {
    cursor  : pointer;
}

body {
    width: 100%;
    background-color: var(--bg-primary);
    height: 100%;
    overflow-x: hidden;
    font-size: 1.6rem;
    font-family: "Noto Serif", serif;
    font-weight: 400;
    /* line-height: 1.5rem; */
    color: var(--color-text-body);
}
h1, h2 {
    font-family: "Noto Serif", serif;
}

p, a, h3, h4, h5, h6 {
    font-family: "Roboto", sans-serif;
}

.text-white {
    color: white;
}

.d-flex {
    display: flex;
}

.mt-1 {
    margin-top: 1.2rem;
}

.mt-2 {
    margin-top: 2.4rem;
}

.mt-3 {
   margin-top: 3.6rem;
}

.mb-2 {
    margin-bottom: 1.5rem;
}

.w-100 {
    width: 100%;
}

.text-gray-200 {
    color: var(--color-gray-200);
}

.align-item-end {
    align-items: end;
}

.text-bold {
    font-weight: bold;
}

.d-none {
    display: none;
}

/* Buttons  */

.button {
    height: 4.4rem;
    border-radius: 23px;
    width: auto;
    padding: 0.5rem 1.3rem;
    font-weight: regular;
}

.button-accent {
    background-color: var(--secondary-brand);
    color: white;
    border: none;
}

.button-outline-white {
    border: 2px solid var(--bg-primary);
    background-color: transparent;
}

.button-outline {
    background-color: var(--bg-primary);
    color: var(--primary-brand);
    border: 2px solid var(--primary-brand);
}

.button-primary {
    background-color: var(--primary-brand);
    color: var(--bg-primary);
    border: none;
}

/* HEADER */

.container__wrapper {
    max-width: 1200px;
    margin: 0 auto;
}

.header__header {
    padding: 2rem 0;
    height: 94px;
}

.header__nav {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    margin-top: 2rem;
}

.nav__logo {
    display: flex;
    flex-direction: row;
    align-items: center;
}

.logo {
    font-size: 2.4rem;
    font-weight: 700;
    color: var(--color-gray-300);
    text-decoration: none;
}

.nav__items {
    display: flex;
    z-index: 1000;
}

.nav__items li {
    color: var(--color-gray-200);
    margin: 0 0.7rem;
}

.nav__items li a {
    padding: 2rem;
    font-size: 1.6rem;
}

.button__nav {
    border-radius: 40px;
}

.items__button {
    font-weight: bold;
    background-color: var(--color-gray-100);
    color: var(--primary-brand);
    
}

/* Top content  */

.container__top {
    height: auto;
    margin-top: 4rem;
    padding-top: 2rem;
    display: grid;
    grid-template-columns: repeat(2, 1fr);
}

.top__services {
    height: auto;
    margin-top: 4rem;
    display: grid;
    grid-template-columns: repeat(2, 1fr);
}

.top__content {
    display: flex;
    flex-direction: column;
}

.top__title {
    max-width: 480px;
    margin-bottom: 2.2rem;
    line-height: 8rem;
    font-weight: 200;
    font-size: 6.4rem;
}

.top__link {
    color: var(--primary-brand);
}

.top__image {
    height: 671px;
}

.content__card {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 25px;
    padding: 5rem 0 0;

}
.card__one {
    background-color: white;
    padding: 2.7rem 2rem;
    height: auto;
    box-shadow: 1px 5px 5px var(--color-gray-100);
}

.card__title {
    margin-top: 40px;
    font-size: 1.8rem;
    font-weight: bold;
}

.card__description {
    color: var(--color-gray-200);
    font-size: 1.4rem;
    margin-top: 1rem;
    line-height: 2rem;
}

.card__link {
    margin-top: 2.9rem;
    color: var(--primary-brand);
}

.mr-1 {
    margin-right: 1.4rem;
}

.top__image--box {
    position: relative;
    bottom: 85px;
    left: 20px;
    height: 112px;
    width: 221px;
    background-color: var(--primary-brand);
}

.top__image--text {
    padding: 5rem 2rem 0;
    font-weight: 600;
    line-height: 2rem;
}

/* Main content  */

/* 1) Product section  */
.main__product,
.advertising__article {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 40px;
    padding: 5rem 0 0;
    margin-bottom: 80px;
}

.product__content h1,
.advertising__title {
    font-size: 5.6rem;
    color: var(--color-gray-300);
    font-weight: lighter;
}

.product__content p,
.advertising__description {
    margin: 32px 0;
    color: var(--color-gray-200);
    line-height: 2.3rem;
}


/* 2) Banner section  */

.banner__section {
    width: 100%;
    background-color: var(--primary-brand);
    padding: 40px 0;
    height: 386px;
    margin: 0 0 130px 0;
}

.banner__container {
    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
    align-items: center;
    color: var(--bg-primary);
    margin: 0 auto;
}

.banner__title {
    margin-bottom: 16px;
    font-weight: lighter;
    font-size: 48px;
}

.banner__description {
    width: 40%;
    margin: 0 auto;
    line-height: 2.5rem;
}

.contact__number {
    font-size: 2rem;
    text-align: center;
    font-weight: bold;
    margin: 40px 0;
}

/* 3) Services section */

.services__section h2 {
    text-align: center;
    font-size: 4.8rem;
    font-weight: lighter;    
}

.services__grid {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 40px;
    padding: 3rem 0 0;
    margin-bottom: 80px;
}

.services__content {
    text-align: center;
}

.services__image {
    margin: 2rem auto;
    width: 48px;
    height: 48px;
}

.services__title {
    margin: 0 0 8px 0;
    font-weight: bold;
    color: var(--color-gray-300);
}

.services__description,
.advertising__description {
    color: var(--color-gray-200);
}

.services__link {
    margin-top: 2.9rem;
    color: var(--primary-brand);
}

.services__button {
    width: 100%;
}

.services__button button {
    margin: 0 auto;
}

/* 4) Advertising section */

.advertising__article {
    margin-top: 3rem;
}

.advertising__image {
    margin: 0 auto;
    width: 392px;
    height: auto;
}

/* 5) Blog article */

.blog__article {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 40px;
    margin-bottom: 120px;
}

.blog__content {
   display: flex;
   flex-direction: column;
}

.blog__image {
    width: 75%;
    height: 100%;
}

.blog__title {
    font-size: 2.4rem;
    margin-bottom: 17px;
    font-weight: bold;
}

.blog__description {
    color: var(--color-gray-200);
    font-size: 1.6rem;
    line-height: 2rem;
}

/* Footer   */

.container__wrapper--footer {
    max-width: 100%;
    background-color: var(--color-gray-100);
}

.container__footer {
    height: auto;
    background-color: var(--color-gray-100);
    display: flex;
    justify-content: space-evenly;
    flex-wrap: wrap;
    padding: 0 10rem;
}

.footer__wrapper {
    width: 1200px;
}

.container__footer > div {
    padding: 80px 0;
}

.footer__content {
    width: 250px;
    margin: 0 auto;
}

.footer__title {
    font-weight: bold;
    
}

.footer__divider {
    height: 2px;
    background-color: var(--color-gray-200);
    opacity: 16%;
}

.footer__description p {
    color: var(--color-gray-200);
    padding: 1rem;
}

.fa-brands {
    color: var(--primary-brand);
}

.footer__icons {
    display: flex;
    padding: 1rem;
}

.footer__icons .fa-brands {
    margin-right: 2.5rem;
}

/* -------------------- */
/* Services page  */
/* -------------------- */

.container__top--service {
    background-color: var(--blue-light);
    height: auto;
    padding-top: 0;
}

.padding-x-service__top {
    padding: 70px 0;
    justify-content: start;
}

.container__top--service-title {
    max-width: 540px;
    font-weight: lighter;
    font-size: 5.6rem;
    margin-bottom: 2.9rem;
}

.container__top--service-subtitle {
    font-weight: bold;
    font-size: 1.8rem;
}

/* Service section */

.service__section {
    margin-top: 40px;
}

.service__breadcrumb {
    max-width: 240px;
    display: flex;
    justify-content: space-between;
}

.service__title {
    font-size: 48px;
    font-weight: lighter;
    margin: 21px 0 0 0;
}

.service__grid {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 40px;
    margin-top: 40px;
}

.grid__item--services-title {
    font-size: 2.4rem;
    font-weight: bold;
}

.service__description {
    color: var(--color-gray-200);
    font-size: 1.6rem;
    line-height: 2rem;
    margin: 20px 0 49px 0;
}

.text-service {
    color: var(--color-gray-300);
    font-size: 1.4rem;
}

.service__extra {
    margin: 4rem 0 9rem 0;
}

/* Prices section */

.prices__title {
    font-size: 4.8rem;
    font-weight: lighter;
}

.prices__grid {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 30px;
}

.prices__card {
    height: 474px;
    box-shadow: 4px 10px 5px var(--color-gray-100);
    margin: 20px 0;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-around;
}

.border-top-primary {
    border-top: 2px solid var(--primary-brand);
}

.border-top-secondary {
    border-top: 2px solid var(--secondary-brand);
}

.border-top-black {
    border-top: 2px solid var(--color-gray-300);
}

.card__content > div{
    text-align: center;
}
.prices__card {
    padding: 50px 20px;
}

.card__container--title {
    flex-direction: column;
}

.prices__bold {
    font-size: 1.4rem;
    font-weight: bold;
}

.prices__card--title {
    font-size: 4.8rem;
    color: var(--primary-brand);
    font-weight: lighter;
}

.prices__card--title--secondary {
    color: var(--secondary-brand);
}

.prices__card--title--black {
    color: var(--color-gray-300);
}
.list__item {
    list-style: square;
    line-height: 2rem;
}

.card__button {
    font-size: 1.4rem;
}

/* FAQs Section  */

/* Style the buttons that are used to open and close the accordion panel */
.accordion {
     background-color: var(--color-gray-100);
     color: var(--primary-brand);
     cursor: pointer;
     font-weight: bold;
     padding: 18px;
     width: 100%;
     text-align: left;
     border: none;
     outline: none;
     transition: 0.4s;
}

/* Style the accordion panel. Note: hidden by default */
.panel {
    margin: 5px 0;
    padding: 0 18px;
    background-color: white;
    max-height: 0;
    overflow: hidden;
    transition: max-height 0.2s ease-out;
}

.faqs__container {
    margin: 60px auto;
}

/* Project section  */

.project__section {
    margin-bottom: 7rem;
}

.project__top {
    width: 100%;
    justify-content: space-between;
    border-bottom: 2px solid var(--color-gray-100);
    padding-bottom: 1rem;
    margin-top: 2rem;
}

.project__top > div > span {
    font-weight: 800;
    color: var(--color-gray-300);
}

.project__title {
    font-size: 4.8rem;
    font-weight: lighter;
}

.project__text {
    font-weight: bold;
    margin-top: 2rem;
    font-size: 1.8rem;
}